def dez2hex(z):
    erg = ""                  # Ergebnis erstmal leer
    e = 0
    while 6**e <= z:          # größte notwendige Potenz von 6 ermitteln
        e = e + 1
    e = e - 1
    while e>=0:
        st = z // 6**e        # ganzahlige Division durch 6 hoch e
        if st == 6:           # darf natürlich nicht 6 sein
            st = 0
        z = z - st * 6**e     # Rest bestimmen
        e = e - 1             # nächste Stelle
        erg = erg + str(st)   # Ergebnis als Zeichenkette
    return(erg)
    
zahl = int(input("Eingabe Dezimalzahl: "))
print("Die Dezimalzahl",zahl,"hat die Heximaldarstellung",dez2hex(zahl))
